Subject: Re: [bug #56057] [PATCH v2 14/21] gnu: Add rust-open-3.

From: Antlers <[email-masked]>
Date: Sun, 19 Jun 2022 18:09:03 +0000 (UTC)

[Forwarding to make sure this note makes it into the thread because I didn't see it; still handling the mailing list workflow, um, un-steadily.]

----------------------------------------

Jun 19, 2022 10:49:39 AM EHarding830 <[email-masked]>:

Note to Self (Whoopsies #2 & 3): Thought I dropped this patch (otherwise looks like I sent the right patchset..? Bad smell.), and should still double check that I didn't remove any #:skip-build flags.

----------------------------------------

Jun 19, 2022 10:27:57 AM antlers <[email-masked]>:

> * gnu/packages/crates-io.scm (rust-open-3): New variable.
> (rust-open-2): Inherit from rust-open-3.
> ---
> :100644 100644 9a44c3a846 83be540cf7 M  gnu/packages/crates-io.scm
> gnu/packages/crates-io.scm | 34 ++++++++++++++++++++++++++--------
> 1 file changed, 26 insertions(+), 8 deletions(-)
> 
> diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
> index 9a44c3a846..83be540cf7 100644
> --- a/gnu/packages/crates-io.scm
> +++ b/gnu/packages/crates-io.scm
> @@ -39686,29 +39686,47 @@ (define-public rust-opaque-debug-0.2
>          (base32
>           "02942l2gc7w5r4js7i9063x99szic5mzzk1055j83v4diqpbpxck"))))))
> 
> +(define-public rust-open-3
> +  (package
> +    (name "rust-open")
> +    (version "3.0.1")
> +    (source (origin
> +              (method url-fetch)
> +              (uri (crate-uri "open" version))
> +              (file-name (string-append name "-" version ".tar.gz"))
> +              (sha256
> +               (base32
> +                "1zhhz4a9ag0418cmj0ky11xidpcavv2crhsl76m66qxz2s1wq2rn"))))
> +    (build-system cargo-build-system)
> +    (arguments
> +     `(#:skip-build? #t
> +       #:cargo-inputs
> +       (("rust-pathdiff" ,rust-pathdiff-0.2))))
> +    (home-page "https://github.com/Byron/open-rs")
> +    (synopsis "Open a path or URL using the program configured on the system")
> +    (description
> +     "Use this library to open a path or URL using the program configured on
> +the system.")
> +    (license license:expat)))
> +
> (define-public rust-open-2
>    (package
> +    (inherit rust-open-3)
>      (name "rust-open")
>      (version "2.0.2")
>      (source
>       (origin
> +       (inherit (package-source rust-open-3))
>         (method url-fetch)
>         (uri (crate-uri "open" version))
>         (file-name (string-append name "-" version ".tar.gz"))
>         (sha256
>          (base32 "1dq9c6dgq7iv5kvqfk8gvkfq34j5pdinfcs1hbdd4x6i62vf8vhp"))))
> -    (build-system cargo-build-system)
>      (arguments
>       `(#:skip-build? #t
>         #:cargo-inputs
>         (("rust-pathdiff" ,rust-pathdiff-0.2)
> -        ("rust-winapi" ,rust-winapi-0.3))))
> -    (home-page "https://github.com/Byron/open-rs")
> -    (synopsis "Open a path or URL using the program configured on the system")
> -    (description
> -     "Use this library to open a path or URL using the program configured on
> -the system.")
> -    (license license:expat)))
> +        ("rust-winapi" ,rust-winapi-0.3))))))
> 
> (define-public rust-open-1
>    (package
> -- 
> 2.36.0